Skip to main content
POST
/
thumbnails
/
create
Create thumbnail generation job
curl --request POST \
  --url https://mvp.tryunsora.com/api/v1/thumbnails/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "variations": 123,
  "context": [
    {
      "content": "<string>"
    }
  ]
}
'
import requests

url = "https://mvp.tryunsora.com/api/v1/thumbnails/create"

payload = {
"prompt": "<string>",
"variations": 123,
"context": [{ "content": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', variations: 123, context: [{content: '<string>'}]})
};

fetch('https://mvp.tryunsora.com/api/v1/thumbnails/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Pass YouTube URL in context for YouTube thumbnail mode:
{
  "prompt": "Bold title, shocked face",
  "context": [{ "type": "youtube", "content": "https://youtube.com/watch?v=..." }],
  "variations": 3
}

Authorizations

Authorization
string
header
required

Clerk session JWT or Unsora API key (uns_live_*)

Body

application/json
prompt
string
variations
integer
context
object[]

Response

200

Job queued